// Minimize 0.5 (10 - x)^2 using jacobian matrix computed using
// automatic differentiation.

#include <stdio.h>
#include <iostream>
#include <fstream>
#include <sstream>
#include <string>
#include <vector>
#include <ctime>
#include <cmath>
#include <stdlib.h>

#include <opencv2/opencv.hpp>
#include <opencv2/core.hpp>		// Core contains the definitions of the basic building blocks of the OpenCV library
#include <opencv2/highgui.hpp>	// HighGUI contains the functions for input and output operations
#include <opencv2/imgproc.hpp>

// Include GLEW
#include <GL/glew.h>

// Include GLFW
#include <GLFW/glfw3.h>
GLFWwindow* window;

// Include GLM
#include <glm/glm.hpp>
#include <glm/gtc/matrix_transform.hpp>
using namespace glm;

#include "shader.h"
#include "texture.h"
#include "objloader.h"
#include "vboindexer.h"

#include "OpenCV.h"
#include "Charuco.h"
#include "OpenGL.h"
#include "Ceres.h"